SystemOrganization addCategory: #BrasileiraoTeste!

TestCase subclass: #CampeonatoTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BrasileiraoTeste'!

!CampeonatoTest methodsFor: 'testing' stamp: 'has 6/16/2013 09:02'!
testAsJogo
	| tab camp |
	tab := Tabela new.
	tab adicionaClube: 'Sao Paulo'.
	tab adicionaClube: 'Milan'.
	tab adicionaClube: 'Barcelona'.
	tab adicionaClube: 'Liverpool'.
	camp := Campeonato new.
	camp tabela: tab.
	camp jogoDo:'Sao Paulo' contraO:'Barcelona' foi: 2 a: 1.
	camp jogoDo:'Milan' contraO:'Liverpool' foi: 3 a: 2.
	camp jogoDo:'Sao Paulo' contraO:'Milan' foi: 3 a: 2.
	camp jogoDo:'Barcelona' contraO:'Liverpool' foi: 4 a: 1.
	self assert: (camp tabela classificacao at: 1) nome = 'Sao Paulo'.
	self assert: (camp tabela classificacao at: 4) nome = 'Liverpool'.
	self assert: (camp tabela classificacao at: 1) saldoDeGols = 2.! !

!CampeonatoTest methodsFor: 'testing' stamp: 'has 6/16/2013 09:03'!
testAsJogoObserver
	| tab camp |
	camp := Campeonato new.
	tab := Tabela new.
	tab adicionaClube: 'Santos'.
	tab adicionaClube: 'Palmeiras'.
	camp tabela: tab.
	camp jogoDo:'Santos' contraO:'Palmeiras' foi: 6 a: 5.
	self assert: (camp tabela classificacao at: 1) nome = 'Santos'.
	self assert: (camp tabela classificacao at: 2) golsPro = 5.! !

!CampeonatoTest methodsFor: 'testing' stamp: 'has 6/16/2013 09:16'!
testAsJogoSimulado
	| camp |
	camp := Campeonato new.
	camp jogar.
	self assert: (camp tabela classificacao at: 1) nome = 'Sao Paulo'.
	self assert: (camp tabela classificacao at: 4) nome = 'Liverpool'.
	self assert: (camp tabela classificacao at: 1) saldoDeGols = 3.
	self assert: (camp tabela classificacao at: 2) golsPro = 9.! !

TestCase subclass: #ClubeTest
	instanceVariableNames: 'listaClube clube'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BrasileiraoTeste'!

!ClubeTest methodsFor: 'initialize-release' stamp: 'has 6/14/2013 23:24'!
setUp
	clube := Clube new.! !

!ClubeTest methodsFor: 'testing' stamp: 'has 6/14/2013 23:40'!
testAsGolsProContra
	clube golsPro:3 golsContra:1.
	self assert: clube golsPro = 3.
	self assert: clube golsContra = 1.
	self assert: clube saldoDeGols = 2.! !

!ClubeTest methodsFor: 'testing' stamp: 'has 6/14/2013 23:30'!
testAsNome
	clube nome: 'Sao Paulo'.
	self assert: clube nome = 'Sao Paulo'.
	self assert: clube pontos = 0.! !

!ClubeTest methodsFor: 'testing' stamp: 'has 6/14/2013 23:36'!
testAsNovaDerrota
	clube novaDerrota.
	self assert: clube derrotas = 1.
	self assert: clube pontos = 0.
	! !

!ClubeTest methodsFor: 'testing' stamp: 'has 6/14/2013 23:37'!
testAsNovaVitoria
	clube novaVitoria.
	self assert: clube vitorias = 1.
	self assert: clube pontos = 3.
	! !

!ClubeTest methodsFor: 'testing' stamp: 'has 6/14/2013 23:36'!
testAsNovoEmpate
	clube novoEmpate.
	self assert: clube empates = 1.
	self assert: clube pontos = 1.
	! !

!ClubeTest methodsFor: 'testing' stamp: 'has 6/14/2013 23:38'!
testAsNovoJogo
	clube novoJogo.
	self assert: clube jogos = 1.
	! !

TestCase subclass: #PlacarTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BrasileiraoTeste'!

!PlacarTest methodsFor: 'testing' stamp: 'has 6/16/2013 09:26'!
testAsGeraTabela
	| tabel placar |
	placar := Placar new.
	tabel := Tabela new.
	tabel adicionaClube: 'America'.
	tabel adicionaClube: 'Boca'.
	tabel adicionaClube: 'Zurich'.
	placar geraTabela: tabel.
	self assert: ((tabel classificacao at: 1) nome = 'America').
	self assert: ((tabel classificacao at: 2) nome = 'Boca').
	self assert: ((tabel classificacao at: 3) nome = 'Zurich').! !

!PlacarTest methodsFor: 'testing' stamp: 'has 6/16/2013 09:25'!
testAsIncluiEspacos
	| placar string |
	placar := Placar new.
	string := placar incluiEspacos: 'Cinco'.
	self assert: string size = 20.
! !

TestCase subclass: #TabelaTest
	instanceVariableNames: 'mandante visitante tabela'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BrasileiraoTeste'!

!TabelaTest methodsFor: 'initialize-release' stamp: 'has 6/15/2013 15:13'!
setUp
	mandante := Clube new.
	mandante nome: 'Sao Paulo'.
	visitante := Clube new.
	visitante nome: 'Santos'.
	tabela := Tabela new.
		! !

!TabelaTest methodsFor: 'testing' stamp: 'has 6/15/2013 13:44'!
testAsAdicionaClube
	tabela adicionaClube: 'Curintia'.
	self assert: tabela classificacao size = 1.
	self assert: ((tabela classificacao at: 1) nome = 'Curintia').! !

!TabelaTest methodsFor: 'testing' stamp: 'has 6/15/2013 20:58'!
testAsAtualizaVitoriaDo

	| tabel |
	tabel := Tabela new.
	tabel adicionaClube: 'Sao Paulo'.
	tabel atualizaVitoriaDo:'Sao Paulo' por:3 a: 1.
	self assert: (tabel classificacao at: 1) vitorias = 1.
	self assert: (tabel classificacao at: 1) pontos = 3.
	self assert: (tabel classificacao at: 1) saldoDeGols = 2.! !

!TabelaTest methodsFor: 'testing' stamp: 'has 6/15/2013 00:52'!
testAsClubeExiste
	tabela adicionaClube: 'Portuguesa'.
	self assert: (tabela clubeExiste:'Portuguesa') = true.! !

!TabelaTest methodsFor: 'testing' stamp: 'has 6/15/2013 12:17'!
testAsClubeExisteFalse
	tabela adicionaClube: 'Portuguesa'.
	self assert: (tabela clubeExiste:'Sao Paulo') = false.! !

!TabelaTest methodsFor: 'testing' stamp: 'has 6/15/2013 18:40'!
testAsOrdenaTabela
	| tabel |
	tabel := Tabela new.
	tabel adicionaClube: 'America'.
	tabel adicionaClube: 'Boca'.
	self assert: ((tabel classificacao at: 1) nome = 'America').
	self assert: ((tabel classificacao at: 2) nome = 'Boca').! !
